Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: academics_index.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return the appropriate page in the academics section
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_rename_items.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_rename_items.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_rename_items.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: folder_rename_items.py 7215 2005-03-03 13:58:20Z sfermigier $
+# $Id$
 """
 Get the list of renameable objects from REQUEST's 'ids' list.
Index: WAeUP_SRP/trunk/skins/waeup_academics/findCourseById.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/findCourseById.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/findCourseById.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: findCourseById.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 ''' find the course'''
 res = context.portal_catalog({'meta_type': 'Course',
Index: WAeUP_SRP/trunk/skins/waeup_academics/getAcademicsInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getAcademicsInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getAcademicsInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getAcademicsInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the current Student
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getCertificateInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about a Certificate
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getCertificatesInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the Faculties
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getCoursesCertificatesInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the Faculties
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getCoursesInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the Faculties
Index: WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getDepartmentsInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the Faculties
Index: WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getLevelInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the Faculties
Index: WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: searchAcademics.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the current Student
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: get_acco_folder_index.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return the appropriate page in the academics section
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/formatBed.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/formatBed.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/formatBed.py	(revision 805)
@@ -1,4 +1,4 @@
 ##parameters=bed=None,mode=None,datastructure=None
-# $Id: apply_admission.py 543 2006-09-24 07:44:32Z henrik $
+# $Id$
 """
 format the bed for readability
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getAccoFolderInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the Faculties
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getAccoHallInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the Faculties
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getBedTypeNames.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getBedTypeNames.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getBedTypeNames.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getBedTypeNames.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 
 return {'female_fr': 'Female New Student',
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/hall_delete.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/hall_delete.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/hall_delete.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: folder_delete.py 586 2006-09-28 22:10:21Z joachim $
+# $Id$
 """
 FIXME: add docstring.
Index: WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: cpsdocument_edit.py 33302 2006-02-22 15:57:11Z tziade $
+# $Id$
 """
 Called when a document form is posted.
Index: WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 805)
@@ -11,5 +11,5 @@
 modified from cps_default/logged_in.py
 
-$Id: logged_in.py 34693 2006-03-23 17:44:22Z ogrisel $
+$Id$
 """
 import DateTime
Index: WAeUP_SRP/trunk/skins/waeup_custom/msie.css.dtml
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/msie.css.dtml	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_custom/msie.css.dtml	(revision 805)
@@ -5,5 +5,5 @@
 specific to MSIE.
 
-$Id: msie.css.dtml 28860 2005-10-31 16:34:08Z ogrisel $
+$Id$
 */
 
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: campus_index.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return the correct campus_index_html
Index: WAeUP_SRP/trunk/skins/waeup_default/error_not_found.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/error_not_found.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_default/error_not_found.pt	(revision 805)
@@ -1,4 +1,4 @@
 <!-- a error_lib macro -->
-<!-- $Id: error_lib_not_found.pt 6905 2004-12-21 11:35:35Z bdelbosc $ -->
+<!-- $Id$ -->
 
 <!-- macro library for rendering specific error messages per error type -->
Index: WAeUP_SRP/trunk/skins/waeup_default/error_other.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/error_other.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_default/error_other.pt	(revision 805)
@@ -1,4 +1,4 @@
 <!-- a error_lib macro -->
-<!-- $Id: error_lib_other.pt 6926 2004-12-27 17:14:30Z atchertchian $ -->
+<!-- $Id$ -->
 
 <metal:block define-macro="other">
Index: WAeUP_SRP/trunk/skins/waeup_default/external_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/external_edit.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_default/external_edit.py	(revision 805)
@@ -1,4 +1,4 @@
 ##parameters=REQUEST, cluster=None, cpsdocument_edit_and_view_button=None, action=None
-# $Id: cpsdocument_edit.py 33302 2006-02-22 15:57:11Z tziade $
+# $Id$
 """
 Called when a document form is posted.
Index: WAeUP_SRP/trunk/skins/waeup_default/getRenderedWidgets.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/getRenderedWidgets.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_default/getRenderedWidgets.py	(revision 805)
@@ -1,4 +1,4 @@
 ##parameters=layout
-# $Id: process_waeup_login.py 521 2006-09-14 08:02:57Z joachim $
+# $Id$
 """
 Return the rendered widget as a dict
Index: WAeUP_SRP/trunk/skins/waeup_default/index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: index_html.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return the correct index_html
Index: WAeUP_SRP/trunk/skins/waeup_default/isManager.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/isManager.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_default/isManager.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: isManager.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return True if the member is considered a Manager,
Index: WAeUP_SRP/trunk/skins/waeup_default/isStudent.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/isStudent.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_default/isStudent.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: isStudent.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return True if the member is considered a Student
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_content_master.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_content_master.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_content_master.pt	(revision 805)
@@ -1,4 +1,4 @@
 <!-- a content_lib macro -->
-<!-- $Id: waeup_content_master.pt 33555 2006-02-28 10:00:04Z div $ -->
+<!-- $Id$ -->
 
 <!-- Master macro used for content stuff -->
Index: WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getBatchInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the current Batch
Index: WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: folder_delete.py 586 2006-09-28 22:10:21Z joachim $
+# $Id$
 """
 FIXME: add docstring.
Index: WAeUP_SRP/trunk/skins/waeup_student/check_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/check_admission.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/check_admission.py	(revision 805)
@@ -1,4 +1,4 @@
 ##parameters=REQUEST
-# $Id: apply_admission.py 649 2006-10-11 06:24:39Z joachim $
+# $Id$
 """
 request Clearance
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 805)
@@ -7,5 +7,5 @@
 ##parameters=REQUEST,proceed=None, cpsdocument_edit_button=None, action=None
 ##title=
-# $Id: clearance_edit.py 770 2006-10-29 05:24:04Z henrik $
+# $Id$
 """
 """
Index: WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py	(revision 805)
@@ -1,4 +1,4 @@
 ##parameters=REQUEST
-# $Id: apply_admission.py 649 2006-10-11 06:24:39Z joachim $
+# $Id$
 """
 process the Application Form
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getStudentInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the current Student
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getStudyCourseInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the Students StudyCourse
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: getStudyLevelInfo.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the Studylevel
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt	(revision 805)
@@ -1,4 +1,4 @@
 <!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<!-- $Id$ -->
 <metal:block define-macro="default_view"
   tal:define="layout options/layout;
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 805)
@@ -1,4 +1,4 @@
 <!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<!-- $Id$ -->
 <metal:block define-macro="default_view"
   tal:define="layout options/layout;
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 805)
@@ -1,4 +1,4 @@
 <!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<!-- $Id$ -->
 <metal:block define-macro="default_view"
   tal:define="layout options/layout;
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_edit.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_edit.pt	(revision 805)
@@ -1,4 +1,4 @@
 <!-- a layout_lib macro -->
-<!-- $Id: layout_application_edit.pt 710 2006-10-16 22:30:16Z joachim $ -->
+<!-- $Id$ -->
 
 <metal:block define-macro="default_edit"
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 805)
@@ -1,4 +1,4 @@
 <!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<!-- $Id$ -->
 <metal:block define-macro="default_view"
   tal:define="layout options/layout;
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_enter_access_code.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_enter_access_code.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_enter_access_code.pt	(revision 805)
@@ -2,5 +2,5 @@
                    global formaction string:apply_admission" />
 <!-- a layout_lib macro -->
-<!-- $Id: layout_application_edit.pt 672 2006-10-12 18:23:28Z joachim $ -->
+<!-- $Id$ -->
 
 <metal:block define-macro="default_edit"
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt	(revision 805)
@@ -1,4 +1,4 @@
 <!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<!-- $Id$ -->
 <metal:block define-macro="default_view"
   tal:define="layout options/layout;
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_search_pume_create.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_search_pume_create.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_search_pume_create.pt	(revision 805)
@@ -2,5 +2,5 @@
                    global formaction string:display_pume_result" />
 <!-- a layout_lib macro -->
-<!-- $Id: layout_application_edit.pt 672 2006-10-12 18:23:28Z joachim $ -->
+<!-- $Id$ -->
 
 <metal:block define-macro="default_edit"
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_create.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_create.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_create.pt	(revision 805)
@@ -2,5 +2,5 @@
                    global formaction string:apply_admission" />
 <!-- a layout_lib macro -->
-<!-- $Id: layout_application_edit.pt 672 2006-10-12 18:23:28Z joachim $ -->
+<!-- $Id$ -->
 
 <metal:block define-macro="default_edit"
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_edit.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_edit.pt	(revision 805)
@@ -2,5 +2,5 @@
                    global formaction string:apply_admission" />
 <!-- a layout_lib macro -->
-<!-- $Id: layout_application_edit.pt 672 2006-10-12 18:23:28Z joachim $ -->
+<!-- $Id$ -->
 
 <metal:block define-macro="default_edit"
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_view_slip.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_student_acco_view_slip.pt	(revision 805)
@@ -1,4 +1,4 @@
 <!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<!-- $Id$ -->
 <metal:block define-macro="default_view"
   tal:define="layout options/layout;
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_waeup_view_student_course.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_waeup_view_student_course.pt	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_waeup_view_student_course.pt	(revision 805)
@@ -1,3 +1,3 @@
-<!-- $Id: layout_waeup_lib.pt 770 2006-10-29 05:24:04Z henrik $ -->
+<!-- $Id$ -->
 <metal:block define-macro="table_view"
              tal:define="layout options/layout;
Index: WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 805)
@@ -1,4 +1,4 @@
 ##parameters=REQUEST
-# $Id: apply_admission.py 543 2006-09-24 07:44:32Z henrik $
+# $Id$
 """
 process the Application Form
Index: WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: searchStudents.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return Info about the current Student
Index: WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py	(revision 805)
@@ -1,4 +1,4 @@
 ##parameters=REQUEST
-# $Id: apply_admission.py 649 2006-10-11 06:24:39Z joachim $
+# $Id$
 """
 request Clearance
Index: WAeUP_SRP/trunk/skins/waeup_student/student_course_result_created.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_course_result_created.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_course_result_created.py	(revision 805)
@@ -16,5 +16,5 @@
 May return a rendered document, or do a redirect.
 """
-# $Id: level_created.py 614 2006-10-03 13:44:51Z henrik $
+# $Id$
 if object is not None:
     course = object
Index: WAeUP_SRP/trunk/skins/waeup_student/student_edit_not_used.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_edit_not_used.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_edit_not_used.py	(revision 805)
@@ -7,5 +7,5 @@
 ##parameters=REQUEST, cluster=None, cpsdocument_edit_and_view_button=None, action=None
 ##title=
-# $Id: student_edit.py 770 2006-10-29 05:24:04Z henrik $
+# $Id$
 """
 """
Index: WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: student_index.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return the current student_index_html
Index: WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 803)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 805)
@@ -8,5 +8,5 @@
 ##title=
 ##
-# $Id: students_index.py 486 2006-09-06 10:09:39Z joachim $
+# $Id$
 """
 return the current students_index_html