Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 805)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 809)
@@ -19,5 +19,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -36,5 +36,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -68,5 +68,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -126,5 +126,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -143,5 +143,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -173,5 +173,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -204,5 +204,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -262,5 +262,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -346,5 +346,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -417,5 +417,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -474,5 +474,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -491,5 +491,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -522,5 +522,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -568,5 +568,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -585,5 +585,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -656,5 +656,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -687,5 +687,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 805)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 809)
@@ -19,5 +19,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -36,5 +36,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -69,5 +69,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -139,5 +139,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -157,5 +157,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -187,5 +187,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -218,5 +218,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -281,5 +281,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -380,5 +380,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -451,5 +451,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -509,5 +509,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -526,5 +526,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -557,5 +557,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -605,5 +605,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -622,5 +622,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -706,5 +706,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>
@@ -737,5 +737,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
+  <property name="size_max">1000000</property>
   <property name="display_width">300</property>
   <property name="display_height">600</property>