Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 805)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 815)
@@ -15,4 +15,5 @@
  </state>
  <state state_id="admitted" title="">
+  <exit-transition transition_id="create_content"/>
   <exit-transition transition_id="defer"/>
   <exit-transition transition_id="enter_clearance_pin"/>
@@ -32,13 +33,8 @@
  </state>
  <state state_id="clearance_pin_entered" title="">
+  <exit-transition transition_id="create_content"/>
   <exit-transition transition_id="request_clearance"/>
   <permission-map name="Modify portal content"
                   acquired="True">
-  </permission-map>
- </state>
- <state state_id="cleared_and_validated" title="">
-  <exit-transition transition_id="create_content"/>
-  <permission-map name="View" acquired="True">
-   <permission-role>Owner</permission-role>
   </permission-map>
  </state>
@@ -50,4 +46,10 @@
   </permission-map>
  </state>
+ <state state_id="cleared_and_validated" title="">
+  <exit-transition transition_id="create_content"/>
+  <permission-map name="View" acquired="True">
+   <permission-role>Owner</permission-role>
+  </permission-map>
+ </state>
  <state state_id="deferred" title="">
   <exit-transition transition_id="enter_clearance_pin"/>
@@ -89,5 +91,5 @@
              new_state="admitted" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -99,5 +101,5 @@
              new_state="admission_applied" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -109,5 +111,5 @@
              new_state="cleared_and_validated"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -119,5 +121,5 @@
              new_state="student_created" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
   </guard>
@@ -128,5 +130,5 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -139,5 +141,5 @@
              new_state="deferred" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -149,5 +151,5 @@
              new_state="application_pin_entered"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -159,5 +161,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -169,5 +171,5 @@
              new_state="finally_rejected" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -179,5 +181,5 @@
              new_state="pume_failed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -189,5 +191,5 @@
              new_state="pume_passed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -199,5 +201,5 @@
              new_state="admission_rejected" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -209,5 +211,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -219,5 +221,5 @@
              new_state="clearance_requested" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -230,5 +232,5 @@
   <description>Time of the last transition</description>
   <default>
-
+   
    <expression>state_change/getDateTime</expression>
   </default>