Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 819)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 820)
@@ -128,4 +128,8 @@
    <permission>Modify portal content</permission>
   </action>
+  <action title="Contact" action_id="contact" category="navigation"
+     condition_expr="member" url_expr="string:${portal_url}/contact" visible="True">
+   <permission>View</permission>
+  </action>  
   <action title="Unchecked Items" action_id="unchecked" category="object"
      condition_expr="python:member and 'academics' in object_url"
@@ -152,15 +156,15 @@
    <permission>View</permission>
   </action>
-  
+
   <action title="Book Hostel" action_id="reserve_accommodation"
      category="student" condition_expr="member"
      url_expr="string:${portal_url}/reserve_accommodation" visible="True"/>
    <permission>View</permission>
-  
+
   <action title="Register Courses" action_id="register_courses"
      category="student" condition_expr="member"
      url_expr="string:${portal_url}/register_courses" visible="False"/>
    <permission>View</permission>
-  
+
   <action title="Home" action_id="students_home" category="student_navigation"
      condition_expr="member" url_expr="string:${portal_url}" visible="True">
Index: /WAeUP_SRP/trunk/skins/waeup_default/contact.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/contact.pt	(revision 820)
+++ /WAeUP_SRP/trunk/skins/waeup_default/contact.pt	(revision 820)
@@ -0,0 +1,72 @@
+<metal:html>
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <h3>Contact</h3>
+      <br />
+      <form id="form1" name="form1" method="post" action="mail2admin">
+      <table width="100%" border="0" cellspacing="0" cellpadding="0">
+        <tr>
+          <td width="150px">
+             <strong>Full Name: </strong>
+          </td>
+          <td>
+             <input name="fullname" type="text" id="fullname" />
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Student ID: </strong>
+          </td>
+          <td>
+             <input name="regno" type="text" id="regno" />
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Email: </strong>
+          </td>
+          <td>
+             <input name="email" type="text" id="email" />
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Problem Type: </strong>
+          </td>
+          <td>
+              <select name="probtype" class="boxgreen" id="probtype">
+                <option>-- Select Type --</option>
+                <option>Payment</option>
+                <option>Registration</option>
+                <option>Application</option>
+                <option>Login</option>
+                <option>Admission</option>
+              </select>        
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Description: </strong>
+          </td>
+          <td>
+             <textarea name="descr" rows="10" cols="60" id="descr"></textarea>
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Comments: </strong>
+          </td>
+          <td>
+             <textarea name="commt" rows="10" cols="60" id="commt"></textarea>
+          </td>
+        </tr>
+      
+        <tr>
+          <td>&nbsp;</td>
+          <td><input name="Submit" type="submit" class="standalone" value="Submit" /><br /><br /></td>
+        </tr>
+      </table>
+      </form>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_default/mail2admin.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/mail2admin.py	(revision 819)
+++ /WAeUP_SRP/trunk/skins/waeup_default/mail2admin.py	(revision 820)
@@ -5,24 +5,39 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
+##parameters=fullname=None,studentid=None,email=None,probtype=None,descr=None,commt=None
 ##title=
 ##
+# $Id: mai2admin.py 805 2006-11-09 09:38:29Z henrik $
 
-# the objects we need
-mship = context.portal_membership
 mhost = context.MailHost
 prop = context.portal_properties
 
 # the message format, %s will be filled in from data
+
 message = """
 From: %s
 To: %s
+Bcc: %s
 Subject: Test Email from a Student
 
-Test
+Fullname: %s
+Student ID: %s
+Email: %s
+Problem Type: %s
+Description: %s
+Comment: %s
 """
 
 msg = message % (
      prop.email_from_address,
-     'henrik@saoas.org',
+     'henrik@saoas.org', 
+     'henrik@waeup.org',
+     fullname,
+     studentid,
+     email,
+     probtype,
+     descr,
+     commt,
      )
 mhost.send(msg)
+