Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 823)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 824)
@@ -169,4 +169,7 @@
               title="PINs" priority="5"
               icon_expr="blank.gif"/>
+  <action-icon category="navigation" action_id="contact"
+              title="Contact" priority="6"
+              icon_expr="blank.gif"/>
  <action-icon category="import" action_id="import_faculties"
               title="Import Faculties" priority="0"
@@ -224,9 +227,12 @@
               priority="0" icon_expr="blank.gif"/>
  <action-icon category="student_navigation"
-              action_id="registration" title="Registration"
+              action_id="registration" title="My Study"
               priority="1" icon_expr="blank.gif"/>
  <action-icon category="student_navigation"
               action_id="prospectus" title="Prospectus"
               priority="2" icon_expr="blank.gif"/>
+ <action-icon category="student_navigation" 
+              action_id="contact_student" title="Contact" 
+              priority="3" icon_expr="blank.gif"/>              
  <action-icon category="student_object" action_id="slip"
               title="Acknowledegement Slip" priority="1"
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 823)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 824)
@@ -130,4 +130,8 @@
   <action title="Contact" action_id="contact" category="navigation"
      condition_expr="member" url_expr="string:${portal_url}/contact" visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="Contact" action_id="contact_student" category="student_navigation"
+     condition_expr="member" url_expr="string:${portal_url}/contact_student" visible="True">
    <permission>View</permission>
   </action>  
Index: WAeUP_SRP/trunk/skins/waeup_default/contact.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/contact.pt	(revision 823)
+++ WAeUP_SRP/trunk/skins/waeup_default/contact.pt	(revision 824)
@@ -5,5 +5,5 @@
       <br />
       <form id="form1" name="form1" method="post" action="mail2admin">
-      <table width="100%" border="0" cellspacing="0" cellpadding="0">
+      <table width="100%" border="0" cellspacing="5" cellpadding="0">
         <tr>
           <td width="150px">
@@ -12,12 +12,4 @@
           <td>
              <input name="fullname" type="text" id="fullname" />
-          </td>
-        </tr>
-        <tr>
-          <td>
-             <strong>Student ID: </strong>
-          </td>
-          <td>
-             <input name="regno" type="text" id="regno" />
           </td>
         </tr>
@@ -31,29 +23,6 @@
         </tr>
         <tr>
-          <td>
-             <strong>Problem Type: </strong>
-          </td>
-          <td>
-              <select name="probtype" class="boxgreen" id="probtype">
-                <option>-- Select Type --</option>
-                <option>Payment</option>
-                <option>Registration</option>
-                <option>Application</option>
-                <option>Login</option>
-                <option>Admission</option>
-              </select>        
-          </td>
-        </tr>
-        <tr>
-          <td>
-             <strong>Description: </strong>
-          </td>
-          <td>
-             <textarea name="descr" rows="10" cols="60" id="descr"></textarea>
-          </td>
-        </tr>
-        <tr>
-          <td>
-             <strong>Comments: </strong>
+          <td valign="top">
+             <strong>text: </strong>
           </td>
           <td>
@@ -61,5 +30,4 @@
           </td>
         </tr>
-      
         <tr>
           <td>&nbsp;</td>
Index: WAeUP_SRP/trunk/skins/waeup_student/contact_student.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/contact_student.pt	(revision 824)
+++ WAeUP_SRP/trunk/skins/waeup_student/contact_student.pt	(revision 824)
@@ -0,0 +1,70 @@
+<metal:html tal:define="info context/getStudentInfo;
+                is_manager info/is_manager|nothing;
+                is_student info/is_student|nothing">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <h3>Contact</h3>
+      <br />
+      <form id="form1" name="form1" method="post" action="mail2admin">
+      <input type="hidden" name="regno" type="text" id="regno"
+             tal:attributes="value info/id"/>
+      <table width="100%" border="0" cellspacing="5" cellpadding="0">
+        <tr>
+          <td width="150px">
+             <strong>Full Name: </strong>
+          </td>
+          <td>
+             <input name="fullname" type="text" id="fullname" 
+                    tal:attributes="value info/student/Title"/>
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Email: </strong>
+          </td>
+          <td>
+             <input name="email" type="text" id="email" 
+                    tal:attributes="value info/app_doc/app_email"/>
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Problem Type: </strong>
+          </td>
+          <td>
+              <select name="probtype" class="boxgreen" id="probtype">
+                <option>-- Select Type --</option>
+                <option>Payment</option>
+                <option>Registration</option>
+                <option>Application</option>
+                <option>Login</option>
+                <option>Admission</option>
+              </select>        
+          </td>
+        </tr>
+        <tr>
+          <td valign="top">
+             <strong>Description: </strong>
+          </td>
+          <td>
+             <textarea name="descr" rows="10" cols="60" id="descr"></textarea>
+          </td>
+        </tr>
+        <tr>
+          <td valign="top">
+             <strong>Comments: </strong>
+          </td>
+          <td>
+             <textarea name="commt" rows="10" cols="60" id="commt"></textarea>
+          </td>
+        </tr>
+      
+        <tr>
+          <td>&nbsp;</td>
+          <td><input name="Submit" type="submit" class="standalone" value="Submit" /><br /><br /></td>
+        </tr>
+      </table>
+      </form>
+    </metal:main>
+  </metal:body>
+</metal:html>