Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 824)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 826)
@@ -16,5 +16,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -33,5 +33,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -52,5 +52,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -65,5 +65,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -82,5 +82,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -97,5 +97,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -110,5 +110,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -123,5 +123,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -140,5 +140,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -157,5 +157,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -166,9 +166,9 @@
    <element value="cert"/>
   </property>
-  <property name="label">Certificateficate</property>
-  <property name="label_edit">Certificateficate</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
+  <property name="label">Certificate</property>
+  <property name="label_edit">Certificate</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -188,5 +188,5 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes" />
+  <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
   <property name="prefix">CLR</property>
@@ -201,5 +201,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -220,5 +220,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -233,5 +233,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -246,5 +246,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -259,5 +259,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -276,18 +276,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="fst_ch" meta_type="Boolean Widget">
-  <property name="title">First Choice</property>
-  <property name="fields">
-   <element value="fst_ch"/>
-  </property>
-  <property name="label">First Choice</property>
-  <property name="label_edit">First Choice</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -302,5 +289,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -317,5 +304,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -330,5 +317,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -343,5 +330,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -360,5 +347,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -374,5 +361,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -387,5 +374,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -401,5 +388,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -414,5 +401,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -431,5 +418,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -444,5 +431,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -457,5 +444,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -471,5 +458,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -488,5 +475,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -505,5 +492,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -519,5 +506,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -536,5 +523,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -551,5 +538,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -565,5 +552,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -582,24 +569,11 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
-  <property name="allow_resize">True</property>
- </widget>
- <widget name="scd_ch" meta_type="Boolean Widget">
-  <property name="title">Second Choice</property>
-  <property name="fields">
-   <element value="scd_ch"/>
-  </property>
-  <property name="label">Second Choice</property>
-  <property name="label_edit">Second Choice</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">300</property>
+  <property name="display_height">600</property>
+  <property name="allow_resize">True</property>
  </widget>
  <widget name="scd_sit_date" meta_type="Date Widget">
@@ -612,5 +586,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -627,5 +601,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -640,5 +614,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -653,5 +627,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -670,5 +644,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -684,24 +658,11 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
-  <property name="allow_resize">True</property>
- </widget>
- <widget name="sup_adm" meta_type="Boolean Widget">
-  <property name="title">Supplementary Addmission</property>
-  <property name="fields">
-   <element value="sup_adm"/>
-  </property>
-  <property name="label">Supplementary Addmission</property>
-  <property name="label_edit">Supplementary Addmission</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">300</property>
+  <property name="display_height">600</property>
+  <property name="allow_resize">True</property>
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
@@ -714,5 +675,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -841,13 +802,4 @@
   <row>
    <cell name="acc_inst"/>
-  </row>
-  <row>
-   <cell name="fst_ch"/>
-  </row>
-  <row>
-   <cell name="scd_ch"/>
-  </row>
-  <row>
-   <cell name="sup_adm"/>
   </row>
   <row>
@@ -865,2 +817,3 @@
  </table>
 </object>
+
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 824)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 826)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
-<object name="student_clearance" meta_type="CPS Layout">
+<object name="student_clearance_fe" meta_type="CPS Layout">
  <property name="layout_create_method">layout_enter_access_code</property>
  <property name="layout_edit_method"></property>
@@ -16,5 +16,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -33,5 +33,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -49,11 +49,11 @@
   <property name="label_edit">Acknowledgement</property>
   <property
-     name="help">I hereby acknowledge by ticking this check box that if it is discovered at any time that i do not possess any of the qualifications which i claim to have obtained, i will be expelled from the University and shall not be re-admitted for the same or any other programme, even if i have upgraded my previous qualifications or possess additional qualifications.</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">radio</property>
+     name="description">I hereby acknowledge by ticking this check box that if it is discovered at any time that i do not possess any of the qualifications which i claim to have obtained, i will be expelled from the University and shall not be re-admitted for the same or any other programme, even if i have upgraded my previous qualifications or possess additional qualifications.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="render_format">checkbox</property>
  </widget>
  <widget name="age_dec" meta_type="Image Widget">
@@ -66,5 +66,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -83,5 +83,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -99,5 +99,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -112,19 +112,19 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="alr_results" meta_type="WAeUp Results Widget">
- <property name="title">Results</property>
- <property name="fields">
-  <element value="alr_results"/>
- </property>
- <property name="label">Results</property>
- <property name="label_edit">Results</property>
- <property name="readonly_layout_modes"/>
- <property name="hidden_layout_modes"/>
- <property name="hidden_readonly_layout_modes"/>
-</widget>
+  <property name="title">Results</property>
+  <property name="fields">
+   <element value="alr_results"/>
+  </property>
+  <property name="label">Results</property>
+  <property name="label_edit">Results</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="alr_scan" meta_type="Image Widget">
   <property name="title">Scan of Advanced Level Result</property>
@@ -136,5 +136,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -154,5 +154,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -171,5 +171,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -180,9 +180,9 @@
    <element value="cert"/>
   </property>
-  <property name="label">Certificateficate</property>
-  <property name="label_edit">Certificateficate</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
+  <property name="label">Certificate</property>
+  <property name="label_edit">Certificate</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -202,5 +202,5 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes" />
+  <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
   <property name="prefix">CLR</property>
@@ -215,5 +215,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -234,5 +234,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -247,8 +247,8 @@
   <property name="label_edit">Entry Date</property>
   <property name="readonly_layout_modes">
-    <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -262,8 +262,8 @@
   <property name="label_edit">Entry Session</property>
   <property name="readonly_layout_modes">
-    <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -278,5 +278,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -293,25 +293,9 @@
   <property name="label">Former Matric/RegNo</property>
   <property name="label_edit">Former Matric/RegNo</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="fst_ch" meta_type="Boolean Widget">
-  <property name="title">First Choice</property>
-  <property name="fields">
-   <element value="fst_ch"/>
-  </property>
-  <property name="label">First Choice</property>
-  <property name="label_edit">First Choice</property>
-  <property name="description">Administrative Data</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">radio</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="fst_sit_date" meta_type="Date Widget">
@@ -324,5 +308,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -340,5 +324,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -353,20 +337,20 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="fst_sit_results" meta_type="WAeUp Results Widget">
- <property name="title">Results</property>
- <property name="fields">
-  <element value="fst_sit_results"/>
- </property>
- <property name="label">Results</property>
- <property name="label_edit">Results</property>
- <property name="readonly_layout_modes"/>
- <property name="hidden_layout_modes"/>
- <property name="hidden_readonly_layout_modes"/>
-</widget>
-  <widget name="fst_sit_scan" meta_type="Image Widget">
+  <property name="title">Results</property>
+  <property name="fields">
+   <element value="fst_sit_results"/>
+  </property>
+  <property name="label">Results</property>
+  <property name="label_edit">Results</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="fst_sit_scan" meta_type="Image Widget">
   <property name="title">Scan of First Sitting Result</property>
   <property name="fields">
@@ -377,5 +361,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -394,5 +378,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -408,5 +392,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -421,5 +405,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -435,5 +419,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -448,5 +432,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -465,5 +449,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -478,5 +462,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -492,5 +476,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -506,5 +490,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -523,5 +507,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -540,5 +524,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -554,5 +538,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -570,8 +554,8 @@
   <property name="label_edit">Matriculation Number</property>
   <property name="readonly_layout_modes">
-    <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -588,5 +572,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -602,5 +586,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -619,25 +603,11 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
-  <property name="allow_resize">True</property>
- </widget>
- <widget name="scd_ch" meta_type="Boolean Widget">
-  <property name="title">Second Choice</property>
-  <property name="fields">
-   <element value="scd_ch"/>
-  </property>
-  <property name="label">Second Choice</property>
-  <property name="label_edit">Second Choice</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">radio</property>
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">300</property>
+  <property name="display_height">600</property>
+  <property name="allow_resize">True</property>
  </widget>
  <widget name="scd_sit_date" meta_type="Date Widget">
@@ -650,5 +620,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -661,10 +631,10 @@
   <property name="label">Fullname</property>
   <property name="label_edit">Fullname</property>
-  <property name="description">Second Sitting  Level Data</property>
+  <property name="description">Second Sitting Data</property>
   <property
      name="help">Fullname as it appears on certificate/result</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -679,19 +649,19 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="scd_sit_results" meta_type="WAeUp Results Widget">
- <property name="title">Results</property>
- <property name="fields">
-  <element value="scd_sit_results"/>
- </property>
- <property name="label">Results</property>
- <property name="label_edit">Results</property>
- <property name="readonly_layout_modes"/>
- <property name="hidden_layout_modes"/>
- <property name="hidden_readonly_layout_modes"/>
-</widget>
+  <property name="title">Results</property>
+  <property name="fields">
+   <element value="scd_sit_results"/>
+  </property>
+  <property name="label">Results</property>
+  <property name="label_edit">Results</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="scd_sit_scan" meta_type="Image Widget">
   <property name="title">Scan of Second Sitting Result</property>
@@ -703,5 +673,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -720,5 +690,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -734,25 +704,11 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
-  <property name="allow_resize">True</property>
- </widget>
- <widget name="sup_adm" meta_type="Boolean Widget">
-  <property name="title">Supplementary Addmission</property>
-  <property name="fields">
-   <element value="sup_adm"/>
-  </property>
-  <property name="label">Supplementary Addmission</property>
-  <property name="label_edit">Supplementary Addmission</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">radio</property>
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">300</property>
+  <property name="display_height">600</property>
+  <property name="allow_resize">True</property>
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
@@ -765,5 +721,5 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -902,13 +858,4 @@
   <row>
    <cell name="acc_inst"/>
-  </row>
-  <row>
-   <cell name="fst_ch"/>
-  </row>
-  <row>
-   <cell name="scd_ch"/>
-  </row>
-  <row>
-   <cell name="sup_adm"/>
   </row>
   <row>
@@ -926,2 +873,3 @@
  </table>
 </object>
+
Index: WAeUP_SRP/trunk/profiles/default/rolemap.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 824)
+++ WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 826)
@@ -45,4 +45,7 @@
       <role name="SectionManager"/>
     </permission>
+    <permission name="Use mailhost services" acquire="True">
+      <role name="Authenticated"/>
+    </permission>    
   </permissions>
 </rolemap>