Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 831)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 832)
@@ -123,6 +123,7 @@
   <property name="label">Results</property>
   <property name="label_edit">Results</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -349,5 +350,7 @@
   <property name="label_edit">Results</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -661,5 +664,7 @@
   <property name="label_edit">Results</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 831)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 832)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=REQUEST,proceed=None, cpsdocument_edit_button=None, action=None
+##parameters=REQUEST,proceed=None, cpsdocument_edit_button=None, final_submit=None, action=None
 ##title=
 # $Id$
@@ -25,4 +25,5 @@
 # Validate the document and write it if it's valid
 # (We don't call getEditableContent here, validate does it when needed.)
+wftool = context.portal_workflow
 info = context.getStudentInfo()
 
@@ -33,4 +34,9 @@
 clear_doc = info['clear_doc']
 state = context.getStudentInfo()['review_state']
+if final_submit:
+    wftool.doActionFor(info['clear'],'close')
+    wftool.doActionFor(info['student'],'request_clearance')
+    return REQUEST.RESPONSE.redirect("%s/student_index" % info['url'])
+
 is_valid, ds = clear_doc.validate(request=REQUEST,
                                 schema_id = 'student_clearance',
@@ -45,4 +51,6 @@
     if is_valid:
         psm = 'Content changed.'
+        if ds.get('acknow'):
+            args['final_submit'] = "Finally Submit"
     else:
         args = getFormUidUrlArg(REQUEST)
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 831)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 832)
@@ -68,4 +68,9 @@
          id="cpsdocument_edit_button"
          tal:condition="not:creation" />
+   <input type="submit" class="standalone"
+          tal:condition="request/final_submit|nothing"
+          name="final_submit"
+          tal:attributes="value request/final_submit"
+          />
     </form>
     <div id="ajax_psm" style="display:none">
Index: /WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 831)
+++ /WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 832)
@@ -21,5 +21,4 @@
 
 students_url = "%s/campus/students" % (context.portal_url.getPortalPath())
-#campus = context.portal_catalog(meta_type = "University")[-1].getObject()
 
 if context.isManager():
@@ -29,3 +28,2 @@
     student = info['student']
     return redirect("%s/student_view" % student.absolute_url())
-
Index: /WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt	(revision 831)
+++ /WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt	(revision 832)
@@ -23,17 +23,22 @@
     </tr>
     <tr>
-      <td> 
-        <input type="text" size="10" maxlength="10"
-               tal:attributes="name string:${name}_s;
-                    id string:${name}_s;
-                    value subject"
-                    />
+      <td><select size="1"
+                  tal:attributes="name string:${name}_s;
+                  id string:${name}_s;">
+              <option tal:repeat="sub python:(('','----'),('Math','Math'),('English','English'))"
+                      tal:attributes="value python:sub[0]"
+                      tal:content="python: sub[1]">
+              </option>
+            </select>
       </td>
       <td> 
-        <input type="text" size="2" maxlength="2"
-               tal:attributes="name string:${name}_g;
-                    id string:${name}_g;
-                    value grade"
-                    />
+          <select size="1"
+                  tal:attributes="name string:${name}_g;
+                  id string:${name}_g;">
+                  <option tal:repeat="sub python:(('','-'),('A','A'),('B','B'),('C','C'),('D','D'))"
+                          tal:attributes="value python:sub[0]"
+                          tal:content="python: sub[1]">
+          </option>
+        </select>
       </td>
       <td> 