Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 832)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 833)
@@ -77,5 +77,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
   <property name="render_method">formatBed</property>
@@ -90,7 +92,8 @@
   <property name="readonly_layout_modes">
    <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
    <element value="create"/>
   </property>
-  <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -133,2 +136,3 @@
  </table>
 </object>
+
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/exam_types.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/exam_types.xml	(revision 832)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/exam_types.xml	(revision 833)
@@ -6,4 +6,5 @@
     <property name="acl_write_roles">Manager</property>
 
+    <item key="" msgid="">None</item>
     <item key="ssce" msgid="">SSCE</item>
     <item key="wasc" msgid="">WASC</item>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/high_grade.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/high_grade.xml	(revision 832)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/high_grade.xml	(revision 833)
@@ -5,4 +5,5 @@
     <property name="description"></property>
 
+    <item key="" msgid="">None</item>
     <item key="upper_credit" msgid="">Upper Credit</item>
     <item key="distinction" msgid="">Distinction</item>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/high_qual.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/high_qual.xml	(revision 832)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/high_qual.xml	(revision 833)
@@ -5,5 +5,6 @@
     <property name="description"></property>
     <property name="acl_write_roles">Manager</property>
-
+    
+    <item key="" msgid="">None</item>
     <item key="nce" msgid="">National Certificate Of Education</item>
     <item key="pre" msgid="">Pre Degree Programme</item>
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_rejected_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_rejected_view.pt	(revision 832)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_rejected_view.pt	(revision 833)
@@ -5,7 +5,6 @@
       <metal:block use-macro="here/error_not_found/macros/not_found" />
     </span>
-    <span tal:condition="info"
-          tal:define="review_state info/review_state">
-      <h2>You are not admitted to the University of Benin!</h2>
+    <span tal:condition="info">
+      <h3>You are not admitted into the University of Benin!</h3>
     </span>
     </metal:main>
Index: WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 832)
+++ WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 833)
@@ -28,5 +28,5 @@
         mode = 'edit'
 d = {}
-button = "Bookaccommodation"
+button = "Book"
 if mode == 'edit':
     info = context.getStudentInfo()
Index: WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt	(revision 832)
+++ WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt	(revision 833)
@@ -26,5 +26,5 @@
                   tal:attributes="name string:${name}_s;
                   id string:${name}_s;">
-              <option tal:repeat="sub python:(('','----'),('Math','Math'),('English','English'))"
+              <option tal:repeat="sub python:(('','----'),('Maths','Mathematics'),('English','English'))"
                       tal:attributes="value python:sub[0]"
                       tal:content="python: sub[1]">