Index: WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 836)
+++ WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 837)
@@ -95,7 +95,7 @@
         return response.redirect("%s/application_edit" % student.absolute_url())
     elif info['review_state'] == "admitted":
-        return response.redirect("%s/admission_accept_form" % student.absolute_url())
+        return response.redirect("%s/admission_form" % student.absolute_url())
     elif info['review_state'] == "clearance_pin_entered":
-        return response.redirect("%s/clearance_edit" % student.absolute_url())        
+        return response.redirect("%s/clearance_edit" % student.absolute_url())
     return response.redirect("%s/student_index" % info['url'])
 
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_accept_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_accept_form.pt	(revision 836)
+++ 	(revision )
@@ -1,64 +1,0 @@
-<metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-    <span tal:condition="not: info">
-      <metal:block use-macro="here/error_not_found/macros/not_found" />
-    </span>
-    <span tal:condition="info"
-          tal:define="review_state info/review_state">
-          
-
-      <h3>This is to inform you that you have been provisionally admitted into University of Benin as follows:
-      </h3>
-
-      <h4>Application Data</h4>
-      <span tal:omit-tag=""
-            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
-            layout_mode='view_info', 
-            layout_id='student_application_fe')" 
-            />
-
-      <h4>Study Course</h4>
-      <table tal:define="sc python: info['course_doc']">
-        <tr>
-          <td width="180px">Certificate:</td> 
-          <td><span tal:content="sc/title" /></td>
-        </tr>
-        <tr>
-          <td>Certificate ID:</td>
-          <td tal:content="sc/study_course" />
-        </tr>
-        <tr>
-          <td>Faculty ID:</td>
-          <td tal:content="sc/faculty" />
-        </tr>
-        <tr>
-          <td>Department ID:</td> 
-          <td><span tal:content="sc/department" /></td>
-        </tr>        
-      </table>        
-
-     
-      <form action="." method="post" class="group"
-            >
-        <table width="100%" cellspacing="0" cellpadding="2"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-                <input type="submit" name="defer_admission:method" value="Reject/Defer Admission"
-                       class="destructive"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('Confirm that you want to reject/defer your admision.'), )" 
-                       />
-                <input type="submit" name="application_edit:method"
-                       class="context" value="Continue" 
-                       />
-            </td>
-          </tr>
-        </table>
-       </form>
-    </span>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 837)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 837)
@@ -0,0 +1,74 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:main fill-slot="main">
+    <span tal:condition="not: info">
+      <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>
+    <span tal:condition="info"
+          tal:define="review_state info/review_state">
+          
+
+      <div style="text-align: right"
+           tal:condition="python:review_state in ('admitted', 'clearance_pin_entered', 'clearance_requested', 'cleared',)">
+      <a href="" target="slip" tal:attributes="href string:admission_slip"
+          onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+          Admission Slip
+      </a>
+      </div>          
+          
+          
+      <h3>This is to inform you that you have been provisionally admitted into University of Benin as follows:
+      </h3>
+
+      <h4>Application Data</h4>
+      <span tal:omit-tag=""
+            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+            layout_mode='view_info', 
+            layout_id='student_application_fe')" 
+            />
+
+      <h4>Study Course</h4>
+      <table tal:define="sc python: info['course_doc']">
+        <tr>
+          <td width="180px">Certificate:</td> 
+          <td><span tal:content="sc/title" /></td>
+        </tr>
+        <tr>
+          <td>Certificate ID:</td>
+          <td tal:content="sc/study_course" />
+        </tr>
+        <tr>
+          <td>Faculty ID:</td>
+          <td tal:content="sc/faculty" />
+        </tr>
+        <tr>
+          <td>Department ID:</td> 
+          <td><span tal:content="sc/department" /></td>
+        </tr>        
+      </table>        
+
+     
+      <form action="." method="post" class="group"
+            >
+        <table width="100%" cellspacing="0" cellpadding="2"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+                <input type="submit" name="defer_admission:method" value="Reject/Defer Admission"
+                       class="destructive"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('Confirm that you want to reject/defer your admision.'), )" 
+                       />
+                <input type="submit" name="application_edit:method"
+                       class="context" value="Continue" 
+                       />
+            </td>
+          </tr>
+        </table>
+       </form>
+    </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 837)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 837)
@@ -0,0 +1,44 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+    <span tal:condition="not: info">
+      <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>
+    <span tal:condition="info">
+
+      <h3>This is to inform you that you have been provisionally admitted into University of Benin as follows:
+      </h3>
+
+      <br />
+      
+      <h4>Application Data</h4>
+      <span tal:omit-tag=""
+            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+            layout_mode='view_info', 
+            layout_id='student_application_fe')" 
+            />
+
+      <h4>Study Course</h4>
+      <table tal:define="sc python: info['course_doc']">
+        <tr>
+          <td width="180px">Certificate:</td> 
+          <td><span tal:content="sc/title" /></td>
+        </tr>
+        <tr>
+          <td>Certificate ID:</td>
+          <td tal:content="sc/study_course" />
+        </tr>
+        <tr>
+          <td>Faculty ID:</td>
+          <td tal:content="sc/faculty" />
+        </tr>
+        <tr>
+          <td>Department ID:</td> 
+          <td><span tal:content="sc/department" /></td>
+        </tr>        
+      </table>        
+     
+    </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 837)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 837)
@@ -0,0 +1,24 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <span tal:condition="info">
+            
+        <h3>My Clearance/Eligibility Record</h3>
+        <br />
+        <span tal:omit-tag=""
+              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+              layout_mode='view_info', 
+              layout_id='student_application_fe')" 
+              />        
+        <span tal:omit-tag=""
+              tal:content="structure python: info['clear_doc'].render(proxy=info['clear_doc'],
+              layout_mode='view', 
+              layout_id='student_clearance_fe')" 
+              />
+      </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 836)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 837)
@@ -9,9 +9,9 @@
             
         <div style="text-align: right"
-             tal:condition="python:review_state=='admission_applied'">
-        <a href="" target="slip" tal:attributes="href string:application_slip"
+             tal:condition="python:review_state in ('clearance_requested', 'cleared','clearance_pin_entered',)">
+        <a href="" target="slip" tal:attributes="href string:clearance_slip"
             onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
             <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Application Slip
+            Clearance/Eligibility Slip
         </a>
         
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 836)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 837)
@@ -3,33 +3,61 @@
 <metal:block define-macro="default_view"
   tal:define="layout options/layout;
-              dm options/datastructure/getDataModel;
               widgets python:context.getRenderedWidgets(layout);
-              fields python:('')"
+              fields_not_displayed python:('',)"
                                  >
-  <table cellpadding="2" cellspacing="2" summary="layout">
-    <tr>
-      <td><span class="dlabel">Student ID</span>:
-      </td>
-      <td> 
-         <span tal:replace="python:here.aq_parent.aq_parent.id" />
-      </td>      
-    </tr>
-    <tr tal:repeat="field fields">
-      <tal:block tal:define="cell python: widgets[field]">
-        <tal:block define="widget cell/widget">
-          <div tal:attributes="class cell/widget_css_class|string:label;
-            id python:widget.getHtmlWidgetId()+'_widget';">
-            <td >
-             <span class="dlabel"
-                    tal:condition="widget/label"
-                    tal:content="widget/label">label</span>:
+  <table>
+    <span tal:repeat="row layout/rows">
+        <span tal:repeat="cell row">
+          <span tal:define="widget cell/widget"
+                tal:condition="python:cell['widget_id'] not in fields_not_displayed
+                                       and widget.meta_type!='Image Widget' ">
+            <div tal:omit-tag=""
+                 tal:attributes="class cell/widget_css_class|nothing;">
+                 
+            <tr tal:condition="widget/description|nothing" class="even ajaxtd">
+              <th colspan="5" align="left"><h3 tal:replace="widget/description" /></th>
+            </tr>
+            <tr>                         
+            <tal:block condition="widget/label">
+            <td valign="top" nowrap>
+              <span i18n:translate="" tal:condition="widget/is_i18n">
+                  <span tal:content="widget/label" />:</span>
+              <span tal:condition="not:widget/is_i18n">
+                  <span tal:content="widget/label" />:</span>
             </td>
-            <td> 
-               <span tal:replace="structure cell/widget_rendered" />
+            </tal:block>
+            <tal:block condition="not: widget/label">
+            <td>
+              <div valign="top"> no label </div>
             </td>
-          </div>
-        </tal:block>
-      </tal:block>
-    </tr>
+            </tal:block>              
+            <td>
+             <div class="ddescription" tal:condition="cell" tal:content="structure cell/widget_rendered"></div>
+             <div class="ddescription" tal:condition="not:cell/widget_rendered"> none </div>
+            </td>
+            </tr>
+            </div>
+          </span>
+          <span tal:define="widget cell/widget;
+                            title_name string:${cell/widget_id}_filename;"
+                tal:condition="python:cell['widget_id'] not in fields_not_displayed
+                                       and widget.meta_type=='Image Widget' 
+                                       and cell['widget_rendered']">
+            <div tal:omit-tag=""
+                 tal:attributes="class cell/widget_css_class|nothing;">
+            <tr>
+            <td valign="top"><span tal:content="widget/title" />:</td>
+            <td>
+            <a href="" target="slip" tal:attributes="href widget/getWidgetId">
+            <span tal:content="string: Hier sollte der Dateiname stehen." />
+            </a>
+            
+            
+            </td>
+            </tr>
+            </div>
+          </span>
+        </span>
+    </span>
   </table>
 </metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 836)
+++ WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 837)
@@ -53,5 +53,5 @@
   <tr>
     <td class="active">
-    <a href="" tal:attributes="href string:${info/url}/admission_accept_form">
+    <a href="" tal:attributes="href string:${info/url}/admission_form">
     Admitted
     </a>
Index: WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 836)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 837)
@@ -35,5 +35,5 @@
         return redirect("%s/application_edit" % info['app'].absolute_url())
     elif state in ('admitted',):
-        return redirect("%s/admission_accept_form" % student.absolute_url())
+        return redirect("%s/admission_form" % student.absolute_url())
     elif state == 'clearance_pin_entered':
         return redirect("%s/student_view" % info['clear'].absolute_url())