Index: /WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 838)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 839)
@@ -26,8 +26,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="waeup_document_view"/>
- <alias from="view" to="waeup_document_view"/>
+ <alias from="(Default)" to="student_index"/>
+ <alias from="view" to="student_index"/>
  <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/waeup_document_view"
+    condition_expr="" url_expr="string:${object_url}/student_index"
     visible="True">
   <permission value="View"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 838)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 839)
@@ -26,8 +26,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="waeup_document_view"/>
- <alias from="view" to="waeup_document_view"/>
+ <alias from="(Default)" to="student_index"/>
+ <alias from="view" to="student_index"/>
  <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/waeup_document_view"
+    condition_expr="" url_expr="string:${object_url}/student_index"
     visible="True">
   <permission value="View"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 838)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 839)
@@ -28,9 +28,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="waeup_document_view"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="student_index"/>
+ <alias from="view" to="student_index"/>
  <action title="View" action_id="view" category="object"
     condition_expr=""
-    url_expr="string:${object_url}/waeup_document_view"
+    url_expr="string:${object_url}/student_index"
     visible="True">
   <permission value="View"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 838)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 839)
@@ -26,10 +26,10 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="waeup_document_view"/>
+ <alias from="(Default)" to="student_index"/>
  <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="created" to="student_course_result_created"/>
- <alias from="view" to="waeup_document_view"/>
+ <alias from="view" to="student_index"/>
  <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/waeup_document_view"
+    condition_expr="" url_expr="string:${object_url}/student_index"
     visible="True">
   <permission value="View"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 838)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 839)
@@ -28,9 +28,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="waeup_document_view"/>
- <alias from="view" to="waeup_document_view"/>
+ <alias from="(Default)" to="student_index"/>
+ <alias from="view" to="student_index"/>
  <action title="View" action_id="view" category="object"
     condition_expr=""
-    url_expr="string:${object_url}/waeup_document_view"
+    url_expr="string:${object_url}/student_index"
     visible="True">
   <permission value="View"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentPume.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentPume.xml	(revision 838)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentPume.xml	(revision 839)
@@ -26,8 +26,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="waeup_document_view"/>
- <alias from="view" to="waeup_document_view"/>
+ <alias from="(Default)" to="student_index"/>
+ <alias from="view" to="student_index"/>
  <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/waeup_document_view"
+    condition_expr="" url_expr="string:${object_url}/student_index"
     visible="True">
   <permission value="View"/>
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 838)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 839)
@@ -24,19 +24,23 @@
     elif context.portal_type == 'StudentStudyLevel':
         return context.study_level_view()
-    return redirect("%s/student_view" % context.absolute_url())
+    elif context.portal_type == 'StudentClearance':
+        return context.clearance_view()
+    elif context.portal_type == 'Student':
+    	return redirect("%s/student_view" % context.absolute_url())
+    return redirect("%s/waeup_document_view" % context.absolute_url())
 if context.isStudent():
     info = context.getStudentInfo()
     student = info['student']
-    doc = info['app_doc']
-    state = context.getStudentInfo()['review_state']
-    if state == 'admission_applied':
-        return redirect("%s/application_view" % student.absolute_url())
-    elif state in ('application_pin_entered',):
-        return redirect("%s/application_edit" % info['app'].absolute_url())
-    elif state in ('admitted',):
-        return redirect("%s/admission_form" % student.absolute_url())
-    elif state == 'clearance_pin_entered':
-        return redirect("%s/student_view" % info['clear'].absolute_url())
-    elif context.portal_type == 'StudentStudyLevel':
-        return context.study_level_student_view()
+    #doc = info['app_doc']
+    #state = context.getStudentInfo()['review_state']
+    #if state == 'admission_applied':
+    #    return redirect("%s/application_view" % student.absolute_url())
+    #elif state in ('application_pin_entered',):
+    #    return redirect("%s/application_edit" % info['app'].absolute_url())
+    #elif state in ('admitted',):
+    #    return redirect("%s/admission_form" % student.absolute_url())
+    #elif state == 'clearance_pin_entered':
+    #    return redirect("%s/student_view" % info['clear'].absolute_url())
+    #elif context.portal_type == 'StudentStudyLevel':
+    #    return context.study_level_student_view()
     return redirect("%s/student_view" % student.absolute_url())