Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 840)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 841)
@@ -329,8 +329,4 @@
         v = datamodel[self.fields[0]]
         #import pdb;pdb.set_trace()
-        #clear_doc = self.getStudentInfo()['clear_doc']
-        #vd = getattr(clear_doc,self.fields[0],None)
-##        if not vd:
-##            vd = []
         widget_id = self.getWidgetId()
         datastructure[widget_id] = v
@@ -384,7 +380,4 @@
             raise RuntimeError("Unknown Render Method %s for widget type %s"
                                % (render_method, self.getId()))
-
-        # XXX AT: datastructure has to be set again here, in case we're in edit
-        # or create mode, because a default value has to be provided.
         #import pdb;pdb.set_trace()
         datamodel = datastructure.getDataModel()
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 840)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 841)
@@ -3,4 +3,7 @@
  <property name="title"></property>
  <object name="courselevel" meta_type="CPS Vocabulary"/>
+ <object name="exam_subjects" meta_type="CPS Vocabulary"/>
+ <object name="exam_types" meta_type="CPS Vocabulary"/>
+ <object name="exam_grades" meta_type="CPS Vocabulary"/>
  <object name="institution_types_voc" meta_type="CPS Vocabulary"/>
  <object name="get_departments_voc" meta_type="CPS Method Vocabulary"/>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/exam_grades.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/exam_grades.xml	(revision 841)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/exam_grades.xml	(revision 841)
@@ -0,0 +1,17 @@
+<?xml version="1.0"?>
+<object name="high_grade" meta_type="CPS Vocabulary">
+  <property name="title"></property>
+  <property name="title_msgid"></property>
+  <property name="description"></property>
+
+  <item key="" msgid="">None</item>
+  <item key="A1" msgid="">Excellent</item>
+  <item key="B2" msgid="">Very Good</item>
+  <item key="B3" msgid="">Good</item>
+  <item key="C4" msgid="">Credit (C4)</item>
+  <item key="C5" msgid="">Credit (C5)</item>
+  <item key="C6" msgid="">Credit (C6)</item>
+  <item key="D7" msgid="">Pass (D7)</item>
+  <item key="E8" msgid="">Pass (E8)</item>
+  <item key="F9" msgid="">Fail</item>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/exam_subjects.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/exam_subjects.xml	(revision 841)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/exam_subjects.xml	(revision 841)
@@ -0,0 +1,55 @@
+<?xml version="1.0"?>
+<object name="high_grade" meta_type="CPS Vocabulary">
+  <property name="title"></property>
+  <property name="title_msgid"></property>
+  <property name="description"></property>
+
+  <item key="" msgid="">None</item>
+  <item key="Agricultural_Science" msgid="">Agricultural Science</item>
+  <item key="Applied_Electricity" msgid="">Applied Electricity</item>
+  <item key="Arabi" msgid="">Arabi</item>
+  <item key="Auto_Mechanics" msgid="">Auto Mechanics</item>
+  <item key="Biology" msgid="">Biology</item>
+  <item key="Building_Construction" msgid="">Building Construction</item>
+  <item key="Business_Management" msgid="">Business Management</item>
+  <item key="Chemistry" msgid="">Chemistry</item>
+  <item key="Christian_Religious_Studies" msgid="">Christian Religious Studies</item>
+  <item key="Clerical_Office_Duties" msgid="">Clerical Office Duties</item>
+  <item key="Clothing_and_Textiles" msgid="">Clothing and Textiles</item>
+  <item key="Commerce" msgid="">Commerce</item>
+  <item key="Economics" msgid="">Economics</item>
+  <item key="Electronics" msgid="">Electronics</item>
+  <item key="English_Language" msgid="">English Language</item>
+  <item key="Engineering_Science" msgid="">Engineering Science</item>
+  <item key="Financial_Accounting" msgid="">Financial Accounting</item>
+  <item key="Food_and_Nutrition" msgid="">Food and Nutrition</item>
+  <item key="French" msgid="">French</item>
+  <item key="Further_Mathematics" msgid="">Further Mathematics</item>
+  <item key="Geography" msgid="">Geography</item>
+  <item key="Government" msgid="">Government</item>
+  <item key="Health_Science" msgid="">Health Science</item>
+  <item key="History" msgid="">History</item>
+  <item key="Home_Management" msgid="">Home Management</item>
+  <item key="Islamic_Studies" msgid="">Islamic Studies</item>
+  <item key="Literature_in_English" msgid="">Literature in English</item>
+  <item key="Literature_in_Nigerian_Languages" msgid="">Literature in Nigerian Languages</item>
+  <item key="Hausa" msgid="">Hausa</item>
+  <item key="Igbo" msgid="">Igbo</item>
+  <item key="Yoruba" msgid="">Yoruba</item>
+  <item key="Management_in_Living" msgid="">Management in Living</item>
+  <item key="Mathematics" msgid="">Mathematics</item>
+  <item key="Metalwork" msgid="">Metalwork</item>
+  <item key="Music" msgid="">Music</item>
+  <item key="Nigerian_Language" msgid="">Nigerian Language</item>
+  <item key="Physical_Education" msgid="">Physical Education</item>
+  <item key="Physics" msgid="">Physics</item>
+  <item key="Principles_of_Cost_Accounting" msgid="">Principles of Cost Accounting</item>
+  <item key="Science" msgid="">Science</item>
+  <item key="Shorthand" msgid="">Shorthand</item>
+  <item key="Sierra_Leone_Studies" msgid="">Sierra Leone Studies</item>
+  <item key="Sierra_Leone_Languages" msgid="">Sierra Leone Languages</item>
+  <item key="Technical_Drawing" msgid="">Technical Drawing</item>
+  <item key="Typewriting" msgid="">Typewriting</item>
+  <item key="Visual_Art" msgid="">Visual Art</item>
+  <item key="Woodwork" msgid="">Woodwork</item>
+</object>
Index: /WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt	(revision 840)
+++ /WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt	(revision 841)
@@ -6,8 +6,10 @@
                    subject options/datastructure/?id_s;
                    grade options/datastructure/?id_g;
+                   grade_voc context/portal_vocabularies/exam_grades;   
+                   subjects_voc context/portal_vocabularies/exam_subjects;   
 ">
 <tal:block condition="python: mode == 'view'">
     <div tal:repeat="res results">
-      <span tal:repeat="col res"><span tal:content="col" />&nbsp;&nbsp;</span>
+      <span tal:content="python:subjects_voc.get(res[0])" />&nbsp;&nbsp;<span tal:content="python:grade_voc.get(res[1])" />
     </div>
 </tal:block>
@@ -17,5 +19,5 @@
     <tr><th>Subject</th><th>Grade</th>
     <tr tal:repeat="res results">
-      <td tal:repeat="col res" tal:content="col" /> 
+      <td tal:content="python:subjects_voc.get(res[0])" /><td tal:content="python:grade_voc.get(res[1])" />
     </tr>
     <tr>
@@ -23,5 +25,5 @@
                   tal:attributes="name string:${name}_s;
                   id string:${name}_s;">
-              <option tal:repeat="sub python:(('','----'),('Mathematics','Mathematics'),('English','English'))"
+              <option tal:repeat="sub subjects_voc/items"
                       tal:attributes="value python:sub[0]"
                       tal:content="python: sub[1]">
@@ -33,5 +35,5 @@
                   tal:attributes="name string:${name}_g;
                   id string:${name}_g;">
-                  <option tal:repeat="sub python:(('','-'),('A','A'),('B','B'),('C','C'),('D','D'))"
+                  <option tal:repeat="sub grade_voc/items"
                           tal:attributes="value python:sub[0]"
                           tal:content="python: sub[1]">