Index: /WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt	(revision 841)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt	(revision 842)
@@ -65,6 +65,7 @@
   </metal:block>
 
+  
   <metal:block fill-slot="header">
-    <h1 tal:condition="creation" i18n:translate="">
+    <h3 tal:condition="creation" i18n:translate="">
       Create a document of type
       <tal:block i18n:name="type_name" i18n:translate=""
@@ -72,14 +73,26 @@
                         type_info python:here.portal_types[type_name]"
             tal:content="type_info/Title">Type Title</tal:block>
-    </h1>
-    <h1 tal:condition="not:creation">
+    </h3>
+    <span tal:condition="not:creation">
+     <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+    <h3>
       <tal:block condition="python: edition and not metadata"
         i18n:translate="">Edit <span id="page_title" i18n:name="title"
-        tal:content="here/title_or_id">Page Title</span></tal:block>
+        tal:content="here/title_or_id">Page Title</span>
+      </tal:block>
       <tal:block tal:condition="metadata"
-        i18n:translate="">Metadata of <span i18n:name="title" tal:content="here/title_or_id">Page Title</span></tal:block>
-    </h1>
+        i18n:translate="">Metadata of <span i18n:name="title" tal:content="here/title_or_id">Page Title</span>
+      </tal:block>
+    </h3>
+    <br />        
+    </span>
   </metal:block>
-
+  
+  
+  
   <metal:block fill-slot="main">
     <form action="ACTION" method="post" id="editForm"
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_edit.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_edit.pt	(revision 841)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_edit.pt	(revision 842)
@@ -35,5 +35,5 @@
           id python:widget.getHtmlWidgetId()+'_widget';"
           >
-            <td>
+            <td valign="top">
             <div class="label" tal:condition="widget/label_edit"
                  tal:attributes="class python:test(is_required, 'label required','label')">
@@ -45,5 +45,5 @@
                     tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
             </td>
-            <td>
+            <td valign="top">
             <span class="field">
               <div tal:replace="structure cell/widget_rendered"/>
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 841)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 842)
@@ -28,9 +28,9 @@
             </tal:block>
             <tal:block condition="not: widget/label">
-            <td>
-              <div valign="top"> no label </div>
+            <td valign="top">
+              <div> no label </div>
             </td>
             </tal:block>              
-            <td>
+            <td valign="top">
              <div class="ddescription" tal:condition="cell" tal:content="structure cell/widget_rendered"></div>
              <div class="ddescription" tal:condition="not:cell/widget_rendered"> none </div>
Index: /WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt	(revision 841)
+++ /WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_result_render.pt	(revision 842)
@@ -11,5 +11,5 @@
 <tal:block condition="python: mode == 'view'">
     <div tal:repeat="res results">
-      <span tal:content="python:subjects_voc.get(res[0])" />&nbsp;&nbsp;<span tal:content="python:grade_voc.get(res[1])" />
+      <span tal:content="python:subjects_voc.get(res[0])" />: <span tal:content="python:grade_voc.get(res[1])" />
     </div>
 </tal:block>