Index: WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 842)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 843)
@@ -39,13 +39,19 @@
           <td tal:content="sc/study_course" />
         </tr>
-        <tr>
-          <td>Faculty ID:</td>
-          <td tal:content="sc/faculty" />
-        </tr>
-        <tr>
-          <td>Department ID:</td> 
-          <td><span tal:content="sc/department" /></td>
-        </tr>        
-      </table>        
+          <span tal:define="f_id sc/faculty;
+          d_id sc/department;
+          f_title context/academics/?f_id/Title;
+          d_title context/academics/?f_id/?d_id/Title"
+          >
+            <tr>
+              <td>Faculty</td>
+              <td tal:content="f_title" />
+            </tr>
+            <tr>
+              <td>Department</td> 
+              <td><span tal:content="d_title" /></td>
+            </tr>
+          </span>
+        </table>        
 
      
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 842)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 843)
@@ -29,15 +29,20 @@
           <td tal:content="sc/study_course" />
         </tr>
-        <tr>
-          <td>Faculty ID:</td>
-          <td tal:content="sc/faculty" />
-        </tr>
-        <tr>
-          <td>Department ID:</td> 
-          <td><span tal:content="sc/department" /></td>
-        </tr>        
-      </table>        
-     
-    </span>
+        <span tal:define="f_id sc/faculty;
+                        d_id sc/department;
+                        f_title context/academics/?f_id/Title;
+                        d_title context/academics/?f_id/?d_id/Title"
+                        >
+            <tr>
+              <td>Faculty</td>
+              <td tal:content="f_title" />
+            </tr>
+            <tr>
+              <td>Department</td> 
+              <td><span tal:content="d_title" /></td>
+            </tr>
+          </span>
+        </table>        
+      </span>
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 842)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 843)
@@ -10,6 +10,5 @@
         <span tal:repeat="cell row">
           <span tal:define="widget cell/widget"
-                tal:condition="python:cell['widget_id'] not in fields_not_displayed
-                                       and widget.meta_type!='Image Widget' ">
+                tal:condition="python:cell['widget_id'] not in fields_not_displayed">
             <div tal:omit-tag=""
                  tal:attributes="class cell/widget_css_class|nothing;">
@@ -35,28 +34,9 @@
              <div class="ddescription" tal:condition="cell" tal:content="structure cell/widget_rendered"></div>
              <div class="ddescription" tal:condition="not:cell/widget_rendered"> none </div>
-            </td>
+              </td>
             </tr>
-            </div>
-          </span>
-          <span tal:define="widget cell/widget;
-                            title_name string:${cell/widget_id}_filename;"
-                tal:condition="python:cell['widget_id'] not in fields_not_displayed
-                                       and widget.meta_type=='Image Widget' 
-                                       and cell['widget_rendered']">
-            <div tal:omit-tag=""
-                 tal:attributes="class cell/widget_css_class|nothing;">
-            <tr>
-            <td valign="top"><span tal:content="widget/title" />:</td>
-            <td>
-            <a href="" target="slip" tal:attributes="href widget/getWidgetId">
-            <span tal:content="string: Hier sollte der Dateiname stehen." />
-            </a>
-            
-            
-            </td>
-            </tr>
-            </div>
-          </span>
+          </div>
         </span>
+      </span>
     </span>
   </table>
Index: WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py	(revision 842)
+++ WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py	(revision 843)
@@ -64,4 +64,6 @@
     dc['clr_ac_pin'] = pin
     dc['clr_ac_date'] = current
+    dc['entry_date'] = current
+    dc['entry_session'] = "2006/2007"
     info['clear_doc'].edit(mapping = dc)
 return redirect("%s/clearance_edit_form" % info['clear'].absolute_url())